STRSTR(3)

NAME
strstr - locate a substring

SYNOPSIS
#include <string.h>

char *strstr(const char *haystack, const char *needle);

#define _GNU_SOURCE

#include <string.h>

char *strcasestr(const char *haystack, const char *needle);

DESCRIPTION
The strstr() function finds the first occurrence of the substring needle in the string haystack. The terminating `\0' characters are not compared. The strcasestr() function is like strstr(), but ignores the case of both arguments.

RETURN VALUE
These functions return a pointer to the beginning of the substring, or NULL if the substring is not found.

BUGS
Early versions of Linux libc (like 4.5.26) would not allow an empty needle argument for strstr(). Later versions (like 4.6.27) work correctly, and return haystack when needle is empty.

CONFORMING TO
The strstr() function conforms to ISO 9899. The strcasestr() function is a non-standard extension.

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strcasecmp(3), strpbrk(3), strsep(3), strspn(3), strtok(3), wcsstr(3)